Rev 4305: Make built-in plugins display the same version than bzrlib in http://bazaar.launchpad.net/%7Evila/bzr/integration

Vincent Ladeuil v.ladeuil+lp at free.fr
Mon Apr 27 19:24:24 BST 2009


At http://bazaar.launchpad.net/%7Evila/bzr/integration

------------------------------------------------------------
revno: 4305 [merge]
revision-id: v.ladeuil+lp at free.fr-20090427182415-ymq237i6sh9tafc4
parent: pqm at pqm.ubuntu.com-20090427064750-e9obd6h83omt86ps
parent: v.ladeuil+lp at free.fr-20090410185600-4aje05xaycmofem8
committer: Vincent Ladeuil <v.ladeuil+lp at free.fr>
branch nick: integration
timestamp: Mon 2009-04-27 20:24:15 +0200
message:
  Make built-in plugins display the same version than bzrlib
modified:
  bzrlib/plugins/launchpad/__init__.py __init__.py-20060315182712-2d5feebd2a1032dc
  bzrlib/plugins/netrc_credential_store/__init__.py __init__.py-20081006090402-hd75m8kcrrm0vlz1-1
-------------- next part --------------
=== modified file 'bzrlib/plugins/launchpad/__init__.py'
--- a/bzrlib/plugins/launchpad/__init__.py	2009-04-09 16:08:41 +0000
+++ b/bzrlib/plugins/launchpad/__init__.py	2009-04-10 18:56:00 +0000
@@ -21,6 +21,9 @@
 
 # see http://bazaar-vcs.org/Specs/BranchRegistrationTool
 
+# Since we are a built-in plugin we share the bzrlib version
+from bzrlib import version_info
+
 from bzrlib.lazy_import import lazy_import
 lazy_import(globals(), """
 import webbrowser

=== modified file 'bzrlib/plugins/netrc_credential_store/__init__.py'
--- a/bzrlib/plugins/netrc_credential_store/__init__.py	2009-03-23 14:59:43 +0000
+++ b/bzrlib/plugins/netrc_credential_store/__init__.py	2009-04-10 18:56:00 +0000
@@ -16,6 +16,9 @@
 
 """Use ~/.netrc as a credential store for authentication.conf."""
 
+# Since we are a built-in plugin we share the bzrlib version
+from bzrlib import version_info
+
 from bzrlib import (
     config,
     lazy_import,



More information about the bazaar-commits mailing list